Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/admin/adminattendingenrichespnidsbysearch

# Resolve ESPN player IDs via name search

POST `https://api.rewind.rest/v1/admin/attending/enrich-espn-ids-by-search`

For every players row missing espn\_id, hits ESPN site search and disambiguates by position class when a name returns multiple MLB hits. Complements enrich-espn-ids (game-summary scoped) by catching relief pitchers and bench players who do not appear in ESPN summary.athletes lists.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Body

#### limit (body, integer)

#### throttle\_ms (body, integer)

## Response

#### 200

ESPN ID search resolution completed

#### status (enum (string), required) — allowed: completed

#### scanned (integer, required)

#### resolved\_unique (integer, required)

#### resolved\_disambiguated (integer, required)

#### multi\_unresolved (integer, required)

#### zero\_match (integer, required)

#### collision\_skipped (integer, required)

#### errors (integer, required)

#### failures (array of object, required)

#### properties

#### player\_id (integer, required)

#### name (string, required)

#### reason (string, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### 500

Internal server error

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X POST 'https://api.rewind.rest/v1/admin/attending/enrich-espn-ids-by-search' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{"limit": 0, "throttle_ms": 0}'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/admin/attending/enrich-espn-ids-by-search', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"limit": 0, "throttle_ms": 0}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://api.rewind.rest/v1/admin/attending/enrich-espn-ids-by-search',
    headers={'Authorization': 'Bearer <token>'},
    json={"limit": 0, "throttle_ms": 0}
)
data = res.json()
```

#### Response

```json 200
{
  "status": "completed",
  "scanned": 0,
  "resolved_unique": 0,
  "resolved_disambiguated": 0,
  "multi_unresolved": 0,
  "zero_match": 0,
  "collision_skipped": 0,
  "errors": 0,
  "failures": [
    {
      "player_id": 0,
      "name": "string",
      "reason": "string"
    }
  ]
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```

```json 500
{
  "error": "Not found",
  "status": 404
}
```
